# Poco::Net

# class HTTPHeaderOutputStream

Library: Net
Package: HTTP
Header: Poco/Net/HTTPHeaderStream.h

## Description

This class is for internal use by HTTPSession only.

## Inheritance

Direct Base Classes: HTTPHeaderIOS, std::ostream

All Base Classes: HTTPHeaderIOS, std::ios, std::ostream

## Member Summary

Member Functions: operator delete, operator new

Inherited Functions: rdbuf

## Constructors

### HTTPHeaderOutputStream

HTTPHeaderOutputStream(
HTTPSession & session
);

## Destructor

### ~HTTPHeaderOutputStream

~HTTPHeaderOutputStream();

## Member Functions

### operator delete

void operator delete(
void * ptr
);

### operator new

void * operator new(
std::size_t size
);